<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
            ng-click="vm.cancel()">&times;</button>
    <h4 class="modal-title" data-translate="login.title">Sign in</h4>
</div>
<div class="modal-body">
    <div class="row">
        <div class="col-md-4 col-md-offset-4">
            <h1 data-translate="login.title">Sign in</h1>
        </div>
        <div class="col-md-8 col-md-offset-2">
            <div class="alert alert-danger" ng-show="vm.authenticationError" data-translate="login.messages.error.authentication">
                <strong>Failed to sign in!</strong> Please check your credentials and try again.
            </div>
        </div>
        <div class="col-md-8 col-md-offset-2">
            <form class="form" role="form" ng-submit="vm.login($event)">
                <div class="form-group">
                    <label for="username" data-translate="global.form.username">Login</label>
                    <input type="text" class="form-control" id="username" placeholder="{{'global.form.username.placeholder' | translate}}" ng-model="vm.username">
                </div>
                <div class="form-group">
                    <label for="password" data-translate="login.form.password">Password</label>
                    <input type="password" class="form-control" id="password" placeholder="{{'login.form.password.placeholder' | translate}}"
                           ng-model="vm.password">
                </div>
                <div class="form-group">
                    <label for="rememberMe">
                        <input type="checkbox" id="rememberMe" ng-model="vm.rememberMe" checked>
                        <span data-translate="login.form.rememberme">Remember me</span>
                    </label>
                </div>
                <button type="submit" class="btn btn-primary" data-translate="login.form.button">Sign in</button>
            </form>
            <p></p>
            <div class="alert alert-warning">
                <a class="alert-link" href="" ng-click="vm.requestResetPassword()" data-translate="login.password.forgot">Did you forget your password?</a>
            </div>
           <!-- <div class="alert alert-warning" data-translate="global.messages.info.register" translate-compile>
                You don't have an account yet? <a class="alert-link" href="" ng-click="vm.register()">Register a new account</a>
            </div>-->
        </div>
    </div>
</div>
